//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_cms_extensions_core_createm extends _HOOK_CLASS_ {

    /**
     * Get Items
     *
     * @return	array
     */
    public function getItems() {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_cmsmenu) {
	            $cmsDatabases = \IPS\cms\Databases::databases();
	            if (\count($cmsDatabases) > 1) {
	                if (\IPS\Settings::i()->neapp_boxoftricks_cmsmenu_order !== '') {
	                    $items = parent::getItems();
                    //Little protection here for later...
	                    $currentOrder = $items;
                    //Get the chosen order
	                    $myOrder = \json_decode(\IPS\Settings::i()->neapp_boxoftricks_cmsmenu_order, TRUE);
	                    $newItems = array();
                    //First, check if the chosen database IDs exist in the system
	                    foreach ($myOrder as $k => $v) {
	                        if (\array_key_exists('cms_create_menu_records_' . $v['key'], $items)) {
                            //Exists - add to the new array
	                            $newItems['cms_create_menu_records_' . $v['key']] = $items['cms_create_menu_records_' . $v['key']];
                            //Remove it from that $currentOrder, for later...just in case
	                            UNSET($currentOrder['cms_create_menu_records_' . $v['key']]);
	                        }
	                    }
	                    if (empty($newItems)) {
                        //New items is empty, so return the original array
	                        return parent::getItems();
	                    }
                    //We get to here...what if the chosen order doesn't include all potential database IDs?!?!?
                    //Well, we chuck the remaining ones in $currentOrder on to the end.
	                    $newItems = $newItems + $currentOrder;
	                    return $newItems;
	                }
	            }
	        }
	        return parent::getItems();
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
