//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_core_advertisement extends _HOOK_CLASS_ {

    /**
     * Fetch advertisements and return the appropriate one to display
     *
     * @param	string	$location	Advertisement location
     * @return	\IPS\core\Advertisement|NULL
     */
    public static function loadByLocation($location) {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_hideads) {
	            if (\IPS\Session::i()->userAgent->spider) {
	                return NULL;
	            }
	        }
	        return parent::loadByLocation($location);
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
