//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_core_extensions_core_frontn extends _HOOK_CLASS_ {

    /**
     * Children
     *
     * @param	bool	$noStore	If true, will skip datastore and get from DB (used for ACP preview)
     * @return	array
     */
    public function children($noStore = false) {
	try
	{
	//Check if they are allowed
		        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_mcnsp) {
		            if (\IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups === '*') {
		                return parent::children($noStore);
		            }
		            $groups = \is_array(\IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups) ? \IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups : \json_decode(\IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups, TRUE);
		            if (\IPS\Member::loggedIn()->inGroup($groups)) {
		                return parent::children($noStore);
		            }
		
		            if (\IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups === '*' OR \IPS\Member::loggedIn()->inGroup(\IPS\Settings::i()->neapp_boxoftricks_mcnsp_groups)) {
		                return parent::children($noStore);
		            } else {
		                $test = parent::children($noStore);
		                foreach ($test as $k => $v) {
		                    if (\get_class($v) === 'IPS\core\extensions\core\FrontNavigation\MenuButton') {
		                        unset($test[$k]); //Removes the button
		                        if (\get_class($test[$k - 1]) === 'IPS\core\extensions\core\FrontNavigation\MenuSeparator') {
		                            unset($test[$k - 1]); //Removes the preceding menu separator
		                        }
		                    }
		                }
		                return $test;
		            }
		        }
		        return parent::children($noStore);
		
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
