//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_core_stream extends _HOOK_CLASS_ {

    /**
     * "All Activity" Stream
     *
     * @return	\IPS\core\Stream
     */
    public static function allActivityStream() {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_oaaads) {
	            if ((int) \IPS\Settings::i()->neapp_boxoftricks_oaaads_homepage !== 0) {
	                $stream = parent::allActivityStream();
	                $stream->id = (int) \IPS\Settings::i()->neapp_boxoftricks_oaaads_homepage;
	                $stream->baseUrl = \IPS\Http\Url::internal("app=core&module=discover&controller=streams", 'front', 'discover_all');
	                \IPS\Member::loggedIn()->language()->words['all_activity'] = $stream->_title;
	                return $stream;
	            }
	        }
	        return parent::allActivityStream();
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
