//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_extensions_core_noti_bulkma extends _HOOK_CLASS_ {

    /**
     * Get fields for configuration
     *
     * @param	\IPS\Member|null	$member		The member (to take out any notification types a given member will never see) or NULL if this is for the ACP
     * @return	array
     */
    public static function configurationOptions(?\IPS\Member $member = NULL): array {
	try
	{
	        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_rnfns) {
	            $return = parent::configurationOptions($member);
	            if (ISSET($return['allow_admin_mails']['extra']['newsletter'])) {
	                unset($return['allow_admin_mails']['extra']['newsletter']);
	            }
	            return $return;
	        }
	        return parent::configurationOptions($member);
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
