//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_helpers_form_radio extends _HOOK_CLASS_ {

    /**
     * Constructor
     *
     * @param	string			$name					Name
     * @param	mixed			$defaultValue			Default value
     * @param	bool|NULL		$required				Required? (NULL for not required, but appears to be so)
     * @param	array			$options				Type-specific options
     * @param	callback		$customValidationCode	Custom validation code
     * @param	string			$prefix					HTML to show before input field
     * @param	string			$suffix					HTML to show after input field
     * @param	string			$id						The ID to add to the row
     * @return	void
     */
    public function __construct($name, $defaultValue = NULL, $required = false, $options = array(), $customValidationCode = NULL, $prefix = NULL, $suffix = NULL, $id = NULL) {
	try
	{
	        if ($name == 'member_deletion_content' AND \IPS\Settings::i()->neapp_boxoftricks_settings_enable_mdcd) {
	            $defaultValue = \IPS\Settings::i()->neapp_boxoftricks_mdcd_setting;
	        }
	        return parent::__construct($name, $defaultValue, $required, $options, $customValidationCode, $prefix, $suffix, $id);
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
