//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_helpers_form_upload extends _HOOK_CLASS_ {

    /**
     * Constructor
     * Sets that the max file size based on PHP's limits as well as the specified one
     *
     * @see		\IPS\Helpers\Form\FormAbstract::__construct
     * @param	string		$name					Name
     * @param	mixed		$defaultValue			Default value
     * @param	bool		$required				Required?
     * @param	array		$options				Type-specific options
     * @param	callback	$customValidationCode	Custom validation code
     * @param	string		$prefix					HTML to show before input field
     * @param	string		$suffix					HTML to show after input field
     * @param	string		$id						The ID to add to the row
     * @return	void
     */
    public function __construct($name, $defaultValue = NULL, $required = false, $options = array(
            ), $customValidationCode = NULL, $prefix = NULL, $suffix = NULL, $id = NULL) {
	try
	{
	        if ($name === 'media_filename' AND \IPS\Settings::i()->neapp_boxoftricks_settings_enable_cmsmediatype AND \IPS\Settings::i()->neapp_boxoftricks_cmsmediatype_all) {
	            if (ISSET($options['allowedFileTypes'])) {
	                UNSET($options['allowedFileTypes']);
	            }
	        }
	        return parent::__construct($name, $defaultValue, $required, $options, $customValidationCode, $prefix, $suffix, $id);
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
