//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_lang extends _HOOK_CLASS_ {

    /**
     * [Node] Get Description
     *
     * @return	string|null
     */
    protected function get__description() {
	try
	{
		        if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_lcount) {
		            $desc = parent::get__description();
		
		            if ($this->id == static::defaultLanguage()) {
		                $where = ['language=? or language IS NULL', $this->id];
		            } else {
		                $where = ['language=?', $this->id];
		            }
		            $count = \IPS\Db::i()->select('count(*)', 'core_members', $where)->first();
		            if (!$desc) {
		                $desc = "(" . $count . " " . \IPS\Member::loggedIn()->language()->get('menu__core_stats') . ")";
		            } else {
		                $desc .= "(" . $count . " " . \IPS\Member::loggedIn()->language()->get('menu__core_stats') . ")";
		            }
		            return $desc;
		        }
		        return parent::get__description();
		
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
