//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

class neappboxoftricks_hook_code_modules_admin_support_suppo extends _HOOK_CLASS_ {

    /**
     * Get our blocks for the dashboard. Skeleton templates are returned that will then be lazy loaded.
     *
     * @return array
     */
    protected function _getBlocks() {
	try
	{
	        $getBlocks = parent::_getBlocks();
	        if (!\IPS\CIC AND \IPS\USE_DEVELOPMENT_BUILDS AND ISSET($getBlocks['version'])) {
	            if (\IPS\Settings::i()->neapp_boxoftricks_settings_enable_udbr) {
	                $newVersion = \IPS\Application::load('core')->version . \IPS\Member::loggedIn()->language()->get('neapp_boxoftricks_udbr_enabled');
	                $newDetails = \IPS\Member::loggedIn()->language()->addToStack('acp_version_number_raw', FALSE, array('sprintf' => array($newVersion)));
	                $getBlocks['version']['details'] = $newDetails;
	            }
	            return $getBlocks;
	        } else {
	            return parent::_getBlocks();
	        }
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
