<?php

namespace IPS\neappboxoftricks\modules\admin\settings;

/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    header(( isset($_SERVER['SERVER_PROTOCOL']) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden');
    exit;
}

/**
 * botsettings
 */
class _botsettings extends \IPS\Dispatcher\Controller {

    /**
     * Execute
     *
     * @return	void
     */
    public function execute() {
        \IPS\Dispatcher::i()->checkAcpPermission('botsettings_manage');
        parent::execute();
    }

    /**
     * ...
     *
     * @return	void
     */
    protected function manage() {
        $formStuff = new \IPS\neappboxoftricks\Forms;
        $form = $formStuff->createForm();
        if ($values = $form->values()) {
            $values = $formStuff->processForm($values);
            $form->saveAsSettings($values);
            \IPS\Member::clearCreateMenu();
            \IPS\Output::i()->redirect(\IPS\Http\Url::internal('app=neappboxoftricks&module=settings&controller=botsettings'), 'saved');
        }
        //Display the form
        \IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('__app_neappboxoftricks') . ' (v' . \IPS\Application::load('neappboxoftricks')->version . ') - ' . \IPS\Member::loggedIn()->language()->addToStack('menu__neappboxoftricks_settings_botsettings');
        if (\in_array('cms', array_keys(\IPS\Application::applications())) AND \IPS\Application::appIsEnabled('cms')) {
            \IPS\Output::i()->cssFiles = array_merge(\IPS\Output::i()->cssFiles, \IPS\Theme::i()->css('botsettings/cmsreorder.css', 'neappboxoftricks', 'admin'));
        }
        \IPS\Output::i()->output = $form;
    }

    // Create new methods with the same name as the 'do' parameter which should execute it
}
