<?php

namespace IPS\neappboxoftricks\Form;

/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    header(( isset($_SERVER['SERVER_PROTOCOL']) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden');
    exit;
}

/**
 * Key/Value input class for social profile links
 */
class _CmsMenuReorder extends \IPS\Helpers\Form\KeyValue {

    /**
     * @brief	Default Options
     * @see		\IPS\Helpers\Form\Date::$defaultOptions
     * @code
      $defaultOptions = array(
      'start'			=> array( ... ),
      'end'			=> array( ... ),
      );
     * @endcode
     */
    protected $defaultOptions = array(
        'key' => array(
        ),
        'value' => array(
        ),
    );

    /**
     * @brief	Key Object
     */
    public $keyField = NULL;

    /**
     * @brief	Value Object
     */
    public $valueField = NULL;

    public function __construct($name, $defaultValue = NULL, $required = FALSE, $options = array()) {
        $options = array_merge($this->defaultOptions, $options);
        parent::__construct($name, $defaultValue, $required, $options);
        $this->keyField = new \IPS\Helpers\Form\Text("{$name}[key]", isset($defaultValue['key']) ? $defaultValue['key'] : NULL, FALSE, isset($options['key']) ? $options['key'] : array());
        $this->valueField = new \IPS\Helpers\Form\Text("{$name}[value]", isset($defaultValue['value']) ? $defaultValue['value'] : NULL, FALSE, isset($options['value']) ? $options['value'] : array());
    }

    public function formatValue() {
        return array(
            'key' => $this->keyField->formatValue(),
            'value' => $this->valueField->formatValue()
        );
    }

    public function html() {
        $label = 'content_db_' . $this->keyField->value;
        return \IPS\Theme::i()->getTemplate('forms', 'neappboxoftricks', 'admin')->cmsmenureorder($this->keyField->html(), $this->valueField->html(),$label);
    }

    public function validate() {
        $this->keyField->validate();
        $this->valueField->validate();
        if ($this->customValidationCode !== NULL) {
            $validationCode = $this->customValidationCode;
            $validationCode($this->value);
        }
    }

}
